Subject: 'Melilotus officinalis' / Steinklee, honigklee

From: [email-masked] (Jan Rasmussen)
Date: Sun, 23 Jun 1996 21:07:45 GMT

RE:   'Melilotus officinalis' synonymous 'Trifolium officinale'

GB: King's clover, Sweet clover, (Yellow) Melilot
D:   Steinklee, honigklee
F:    Mélilot, Sommité fleurie de mélilot
DK: Stenkloever

I'd like to use Melilotus officinalis to keep the mice away from my
house where I save vegetables during the winther.

I have been reading some places it will help me if I use these plants
but I can't find a place where to buy them !  Nobody seems to know
about it ??

Does anybody know where I can get this kind of clover ???

Do YOU have some seeds you can send me or ...

Please reply to:   - and tell me what I can do for you in return

Snail mail:				e-mail:
Jan Rasmussen				[email-masked]
Ved Kaeret 4-22
DK-2740 Skovlunde			(until 27th June)
DENMARK

Phone:
+45   42 84 18 48